Subject: RE: [Sip-implementors] RE: [Sip] UPDATE with ANSWER? (18x using TCP)

From: "Attila Sipos" <[email-masked]>
Date: Thu, 19 May 2005 11:54:15 +0100

Hi,

I just thought I'd try to clarify something:
 
>>3. Is 18x send/recv over TCP considered reliable ?
>>    In the following scenario:
>>    - INVITE with offer sdp sent
>>    - 18x over TCP with answer sdp recvd (No PRACK exchange happened)
>>    Now can the caller/calleee use UPDATE ?
>>
>>Can any body clarify the same?

In SIP, TCP is not considered to be any more reliable than UDP.

In other words - whether you use TCP or UDP:
1. you have to do retransmissions of SIP messages for TCP
   (in the same way that you do for UDP)

2. As far as SIP is concerned, PRACK is the only reliable way
   to transport 18x messages (using TCP or UDP)

Regards,

Attila

Attila Sipos
http://www.vegastream.com

>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf 
>> Of Avasarala
>> Ranjit-A20990
>> Sent: 19 May 2005 10:51
>> To: Chauhan Bhavik-A20762; [email-masked];
>> [email-masked]
>> Subject: [Sip-implementors] RE: [Sip] UPDATE with ANSWER?
>> 
>> 
>> Hi
>>     No UPDATE cannot be used to send answer, since UPDATE 
>> can be used only
>> after a dialog is established. 
>>  
>>  
>>  
>> 
>> Regards 
>> Ranjit 
>> 
>> 
>> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Chauhan Bhavik-A20762
>> Sent: Thursday, May 19, 2005 3:10 PM
>> To: [email-masked]; [email-masked]
>> Subject: [Sip] UPDATE with ANSWER?
>> 
>> 
>> Hi all,
>>  
>> I was exploring the possibility for the UPDATE to send the Answer,
>> As I haven't found any explicit restriction in RFC 3311.
>>  
>> I went through the older Thread
>> http://lists.cs.columbia.edu/pipermail/sip-implementors/2004-
January/006017.
html
<http://lists.cs.columbia.edu/pipermail/sip-implementors/2004-January/006017
.html> 
and came across following Qs which I found not clarified though.
 
1. Can UPDATE be used to send an answer SDP ?
    Consider the following scenario:
    -  INVITE was sent without SDP
    - 18x is received with Offer SDP
    - There is no PRACK exchange because 18x does not contain a
Require:100rel header
    Now can UPDATE be used to send answer SDP??
 
2. As per RFC 3311, UPDATE method should be used only if dialog is
established.
    If INVITE/18x exchange happened without PRACK, can both ends treat
this as early dialog and feel free to use UPDATE ?
 
3. Is 18x send/recv over TCP considered reliable ?
    In the following scenario:
    - INVITE with offer sdp sent
    - 18x over TCP with answer sdp recvd (No PRACK exchange happened)
    Now can the caller/calleee use UPDATE ?

Can any body clarify the same?
 
Thanks in advance,
Bhavik Chauhan
 
_______________________________________________
Sip-implementors mailing list
[email-masked]
http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip